ru.bitel.common

## Interface XMLUtils.BGXMLEventReader

- All Superinterfaces:
    java.util.Iterator, javax.xml.stream.XMLEventReader
  Enclosing class:
    XMLUtils

      public static interface XMLUtils.BGXMLEventReader
      extends javax.xml.stream.XMLEventReader

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getAttributes(javax.xml.stream.events.StartElement element)`
    `java.lang.String` | `getAttributeValue(javax.xml.stream.events.StartElement element, java.lang.String localPart)`
    `int` | `getCurrentDepth()`
    `java.lang.Iterable<javax.xml.stream.events.StartElement>` | `iterable(java.lang.String path)` Возвращает итератор по пути.
    `java.lang.Iterable<javax.xml.stream.events.StartElement>` | `newStartElementIterator(java.lang.String path)` Deprecated.

    - ### Methods inherited from interface javax.xml.stream.XMLEventReader

      `close, getElementText, getProperty, hasNext, nextEvent, nextTag, peek`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, next, remove`

- - ### Method Detail

    - #### getCurrentDepth

          int getCurrentDepth()

    - #### newStartElementIterator

          @Deprecated
          java.lang.Iterable<javax.xml.stream.events.StartElement> newStartElementIterator(java.lang.String path)

      Deprecated.

    - #### iterable

          java.lang.Iterable<javax.xml.stream.events.StartElement> iterable(java.lang.String path)

      Возвращает итератор по пути. При поиске он проходит полностью текущую ветку.
      Т.е. если итератор будет вызван от начала документа, то он прочитает весь документ!
      Parameters:
        `path` -
      Returns:

    - #### getAttributeValue

          java.lang.String getAttributeValue(javax.xml.stream.events.StartElement element,
                                             java.lang.String localPart)

    - #### getAttributes

          java.util.Map<java.lang.String,java.lang.String> getAttributes(javax.xml.stream.events.StartElement element)